Bug 252484 - The SEE ALSO section of newfs(8) should mention newfs_msdos(8)
Summary: The SEE ALSO section of newfs(8) should mention newfs_msdos(8)
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mateusz Piotrowski
URL: https://www.freebsd.org/cgi/man.cgi?q...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-07 07:01 UTC by Graham Perrin
Modified: 2021-01-07 09:25 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-01-07 07:01:05 UTC
% date ; uname -v 
Thu  7 Jan 2021 06:52:25 GMT
FreeBSD 13.0-CURRENT #75 main-c572-g82397d791: Sun Jan  3 20:00:09 GMT 2021     root@mowa219-gjp4-8570p:/usr/obj/usr/src/amd64.amd64/sys/GENERIC-NODEBUG 
% man -P 'tail -n 14' newfs

SEE ALSO
     fdformat(1), geom(4), disktab(5), fs(5), camcontrol(8), dump(8),
     dumpfs(8), fsck(8), gjournal(8), gpart(8), growfs(8), gvinum(8),
     makefs(8), mount(8), tunefs(8)

     M. McKusick, W. Joy, S. Leffler, and R. Fabry, “A Fast File System for
     UNIX”, ACM Transactions on Computer Systems 2, 3, pp 181-197, August
     1984, (reprinted in the BSD System Manager's Manual).

HISTORY
     The newfs utility appeared in 4.2BSD.

FreeBSD 13.0-CURRENT           January 29, 2019           FreeBSD 13.0-CURRENT
%
Comment 1 Graham Perrin 2021-01-07 07:03:18 UTC
Vice versa, the SEE ALSO section of newfs_msdos(8) _does_ already mention newfs(8): 

----

% man -P 'tail -n 11' newfs_msdos

SEE ALSO
     gpart(8), newfs(8)

HISTORY
     The newfs_msdos utility first appeared in FreeBSD 3.0.

AUTHORS
     Robert Nordier <rnordier@FreeBSD.org>

FreeBSD 13.0-CURRENT             June 14, 2018            FreeBSD 13.0-CURRENT
%
Comment 2 commit-hook freebsd_committer 2021-01-07 09:25:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=74bd20769706041108a573601cf0b61c755bdc56

commit 74bd20769706041108a573601cf0b61c755bdc56
Author:     Mateusz Piotrowski <0mp@FreeBSD.org>
AuthorDate: 2021-01-07 09:22:20 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2021-01-07 09:24:07 +0000

    Reference newfs_msdos(8) from the newfs(8) manual

    PR:             252484
    Reported by:    Graham Perrin <grahamperrin@gmail.com>
    MFC after:      3 days

 sbin/newfs/newfs.8 | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 3 Mateusz Piotrowski freebsd_committer 2021-01-07 09:25:24 UTC
Committed in 74bd20769706041108a573601cf0b61c755bdc56, thanks!